<!-- <router-outlet></router-outlet> -->

<form class="ui large form segment">
  <h3 class="ui header">Add a Link</h3>

  <div class="field">
    <label for="title">Title:</label>
    <input name="title id="title #newtitle>
  </div>
  <div class="field">
    <label for="link">Link:</label>
    <input name="link" id="link" #newlink>
  </div>
  <button (click)="addArticle(newtitle, newlink)"
          class="ui positive right floated button">
    Submit link
  </button>
</form>

<div class="ui grid posts">
  <app-article
    *ngFor="let article of sortedArticles()"
    [article]="article"
  ></app-article>
</div>